#!/bin/sh
#-------------------------------------------------------------------------------
# Eisfair configuration generator script
# Copyright (c) 2007 - 2015 the eisfair team, team(at)eisfair(dot)org
#-------------------------------------------------------------------------------

#echo "Executing $0 ..."
#exec 2> /tmp/ssmtp-trace$$.log
#set -x

# read base configuration file for domain
. /etc/config.d/base

. /etc/config.d/dhcp

#-------------------------------------------------------------------------------
# creating/edit config file
#-------------------------------------------------------------------------------
{
    echo "#----------------------------------------------------------------------"
    echo "# Do not edit this file directly, modify '/etc/config.d/dhcp' file and"
    echo "# re-run the /var/install/config.d/dhcp.sh' command to update."
    echo "#----------------------------------------------------------------------"
    echo "option domain-name 'example.org';"
    echo "option domain-name-servers 172.30.50.1, 172.30.50.2;"
    echo "option broadcast-address 172.30.50.255;"
    echo "option routers 172.30.0.1;"
    echo "option subnet-mask 255.255.0.0;"
    echo "default-lease-time 600;"
    echo "max-lease-time 7200;"
    echo "log-facility local7;"
    echo "subnet 172.30.50.0 netmask 255.255.0.0"
    echo "  {"
    echo "    range 172.30.50.10 172.30.50.20;"
    echo "    range 172.30.50.100 172.30.50.200;"
    echo "  }"


} > /etc/dhcp/dhcpd.conf

# Set rights for configuration file
chmod 0644 /etc/dhcp/dhcp.conf
# hide plaintext password
chown root /etc/dhcp/dhcp.conf


#------------------------------------------------------------------------------
exit 0
